- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization Scopes
- Try it!
Updates the allocated ranges that are assigned to a connection. The response from the get operation will be of type Connection if the operation successfully completes.
HTTP request
PATCH https://servicenetworking.googleapis.com/v1/{name=services/*}/connections
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
The service producer peering service that is managing peering connectivity for a service producer organization. For Google services that support this functionality, this is |
Query parameters
| Parameters | |
|---|---|
updateMask |
The update mask. If this is omitted, it defaults to "*". You can only update the listed peering ranges. A comma-separated list of fully qualified names of fields. Example: |
force |
If a previously defined allocated range is removed, force flag must be set to true. |
Request body
The request body contains an instance of Connection.
Response body
If successful, the response body contains an instance of Operation.
Authorization Scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/service.managementhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.